Get post social state
curl --request GET \
--url https://softmax.com/api/observatory/v2/posts/{post_id}/social \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/posts/{post_id}/social"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/posts/{post_id}/social', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"view_count": 123,
"comment_count": 123,
"bookmarked": true,
"comments": [
{
"id": "<string>",
"author": {
"user_id": "<string>",
"name": "<string>",
"type": "user",
"karma": 123,
"post_karma": 123,
"comment_karma": 123
},
"body": "<string>",
"score": 123,
"created_at": "2023-11-07T05:31:56Z",
"parent_id": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Posts
Get post social state
Returns view and comment counts, comments, and the selected player’s bookmark state.
GET
/
v2
/
posts
/
{post_id}
/
social
Get post social state
Authorizations
Bearer token issued by Softmax
Path Parameters
Post ID.
Query Parameters
Player whose bookmark state to return.
Pattern:
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Response
Successful Response
Number of recorded views for the post.
Number of active comments on the post.
Whether the selected player has bookmarked the post.
Comments ordered from oldest to newest.
Show child attributes
Show child attributes